<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

    <title>Kasa</title>

    <style>
        li {
            width: 150px;
            padding: 5px;
        }
        li:hover, tbody tr:hover {
            background-color: bisque;
            cursor: pointer;
        }
        div {
            display: inline-block;
            margin: 0px 30px;
        }
        table {
            display: inline-block;
            vertical-align: top;
            margin: 0px 30px;
        }
        th, td {
            border: 1px solid black;
            padding: 5px;
        }
    </style>
</head>
<body>
    <h1>Kasa</h1>
    <p>Svake sekunde API dovlaci neplacene racune i prikazuje ih. Klik na neki u tabeli dovlaci stavke. Klik na 'Naplati' salje API da je naplacen.</p>

    <table>
        <thead>
            <tr>
                <th>rnID</th>
                <th>Sto</th>
                <th>Operater</th>
                <th>Ukupno</th>
                <th>Isporucen</th>
                <th>Naplacen</th>
            </tr>
        </thead>
        <tbody id="racuni"></tbody>
    </table>

    <div>
        <h4>Sto broj: <span id="sto_broj"></span></h4>
        <h2>Ukupno: <span id="ukupno">0.00</span></h2>
        <button id="naplati">Naplati</button>
    </div>

    <table>
        <thead>
            <tr>
                <th>Kat</th>
                <th>Art</th>
                <th>Cena</th>
            </tr>
        </thead>
        <tbody id="stavke"></tbody>
    </table>

    <br>
    <pre id="info"></pre>
    
    <script>
        $(document).ready(function(){

            setInterval(function() {
                $.ajax({
                    url: "/api/neplaceni",
                    success: function (response) {
                        $('#racuni').html('');
                        $.each(response, function(index, d) {
                            //$('#info').text(JSON.stringify(response, null, 4));
                            $('#racuni').append('<tr data-rnid="' + d.id + '"><td>' + d.id + '</td><td>'  + d.sto + '</td><td>' + d.operater + '</td><td>'  + d.ukupno + '</td><td>'  + d.isporucen + '</td><td>'  + d.naplacen + '</td></tr>');
                        });
                    },
                    error: function(jqXHR, textStatus, errorThrown) {
                        $('#info').html(JSON.stringify(jqXHR.responseText));
                    }
                });
            }, 1000);

            $(document.body)
                .on('click', '#racuni tr', function(){
                    $.ajax({
                        url: "/api/rnstavke/" + $(this).data('rnid'),
                        success: function (response) {
                            $('#info').html(JSON.stringify(response, null, 4));
                            $('#stavke').html('');
                            $('#sto_broj').text(response[0].sto);
                            $('#ukupno').text(response[0].ukupno);
                            $('#naplati').data('rn_id', response[0].id);
                            $.each(response[0].articles, function(index, d) {
                                $('#stavke').append('<tr><td>' + d.cat + '</td><td>'  + d.art + '</td><td>' + d.price + '</td></tr>');
                            });
                        },
                        error: function(jqXHR, textStatus, errorThrown) {
                            $('#info').html(JSON.stringify(jqXHR.responseText));
                        }
                    });
                });

            $('#naplati').click(function(){
                $.ajax({
                    url: "/api/naplati",
                    type: "PUT",
                    data: JSON.stringify({'rn_id': $(this).data('rn_id')}),
                    contentType: "application/json;charset=utf-8",
                    beforeSend: function(xhr, settings) {
                        xhr.setRequestHeader("X-CSRFToken", '{{ csrf_token }}');
                    },
                    success: function (response) {
                        $('#info').text(JSON.stringify(response));
                        $('#sto_broj').text('');
                        $('#ukupno').text('0.00');
                        $('#stavke').html('');
                        
                    },
                    error: function(jqXHR, textStatus, errorThrown) {
                        $('#info').html(JSON.stringify(jqXHR.responseText));
                    }
                });

            })
        });
    </script>
</body>
</html>